<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="/css/styles.css">

    <!-- Prism.js for code formatting-->
    <link rel="stylesheet" href="/css/prism.css">
    <script src="/js/prism.js"></script>

    <title>Taller Grupo de Estudio OAuth</title>
</head>

<body>
    <div class="container" style="margin-top:50px">
        <div class="jumbotron">
            <table >
                <tr>
                    <td>
                        <h2 class="display-4">
                            OpenID Connect
                        </h2>
                        <p class="lead">Authorization Code Flow</p>
                    </td>
                    <td>
                        <img src="https://cidenet.com.co/wp-content/themes/cidenet/images/cidenet-logo.png" style="display: block;margin-left: auto;margin-right: auto;width: 80%">
                    </td>
                </tr>
            </table>
        </div>
        <!--Stepper from Codepen: https://codepen.io/thdeux/pen/zBGNrM-->
        <div class="md-stepper-horizontal orange">
            <div class="md-step">
                <a href="/">
                    <div class="md-step-circle"><span>1</span></div>
                </a>
                <div class="md-step-title">Obtener el código de autorización</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step active">
                <div class="md-step-circle"><span>2</span></div>
                <div class="md-step-title">Cambiar el código de autorización por un token</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step">
                <div class="md-step-circle"><span>3</span></div>
                <div class="md-step-title">Obtener el token de acceso</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step">
                <div class="md-step-circle"><span>4</span></div>
                <div class="md-step-title">Llamado a la Api que nos proporcionará la información</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <div class="card">
                    <div class="card-header">
                        Código de autenticación concedido
                    </div>
                    <form action="/exchange/the/code/for/a/token" method="POST">
                        <div class="card-body">
                            <p class="card-text">Este es el código de autorización:</p>
                            <pre class="language-http"><%= code %></pre>
                            <input type="hidden" name="code" value="<%=code %>" />
                            <p class="card-text">Y este es el estado que devolvió del servidor de autorización:
                            </p>
                            <pre class="language-http"><%= state %></pre>
                            <p class="card-text">Ahora debe ser cambiado por un token de acceso.</p>
                            <div class="text-center">
                                <input type="submit" class="btn btn-primary"
                                    value="Cambiar el código de autorización por un token" />
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</body>
</html>